Learn more about the new Clio experience!

New Clio Webinars
Register now!

Internet Explorer Vulnerability Exposed

For our customers who use Internet Explorer as their browser of choice both at home and at work, we want to make sure that you are aware of a serious vulnerability that has been exposed in all versions of Internet Explorer (IE).

Please note that Internet Explorer is the source of this vulnerability, not Clio itself.

This vulnerability makes it very easy for attackers to steal user login credentials through any website through the exploitation of a weakness in Internet Explorer's system.

We highly encourage all of our customers to immediately stop using Internet Explorer and download either Google Chrome or FireFox instead for use both at home and at work, especially when working with sensitive content such as information in Clio.

For more information on this vulnerability in IE, please see this news article.